<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
  <match target="font">
	  <!--<edit mode="assign" name="autohint"><bool>true</bool></edit>
	  <edit mode="assign" name="hinting"><bool>true</bool></edit>-->
    <edit mode="assign" name="autohint"><bool>true</bool></edit>
    <edit mode="assign" name="hinting"><bool>true</bool></edit>
    <edit mode="assign" name="lcdfilter"><const>lcddefault</const></edit>
    <edit mode="assign" name="hintstyle"><const>hintnone</const></edit>
    <!-- symbols do not support antialias -->
    <!-- Removed antialias because it made all emoji invisible -->
    <edit mode="assign" name="rgba"><const>rgb</const></edit>
  </match>

  <match target="font">
    <test name="pixelsize" qual="any" compare="more"><double>15</double></test>
    <edit mode="assign" name="hintstyle"><const>hintnone</const></edit>
    <edit mode="assign" name="lcdfilter"><const>lcdlight</const></edit>
  </match>

  <match target="font">
    <test name="pixelsize" qual="any" compare="more"><double>12</double></test>
    <edit mode="assign" name="hintstyle"><const>hintnone</const></edit>
    <edit mode="assign" name="lcdfilter"><const>lcdlight</const></edit>
  </match>

  <match target="font">
    <test name="slant"  compare="not_eq"><double>0</double></test>
    <edit mode="assign" name="hintstyle"><const>hintnone</const></edit>
    <edit mode="assign" name="lcdfilter"><const>lcdlight</const></edit>
  </match>
 <match target="pattern">
   <test qual="any" name="family"><string>verdana</string></test>
   <edit name="family" mode="assign" binding="same"><string>Bitstream Vera Sans</string></edit>
 </match>

  <!-- Prefer Liberation -->
  <alias>
    <family>sans-serif</family>
    <prefer>
      <family>Liberation Sans</family>
    </prefer>
    <default><family>Liberation Sans</family></default>
  </alias>

  <alias>
    <family>serif</family>
    <prefer>
      <family>Liberation Serif</family>
    </prefer>
    <default><family>Liberation Serif</family></default>
  </alias>
  <!-- Monospace fonts are handled by 69-emoji-monospace.conf -->
  <!--
  <alias>
    <family>monospace</family>
    <prefer>
      <family>Liberation Mono</family>
    </prefer>
    <default><family>Liberation Mono</family></default>
  </alias>
  -->
</fontconfig>
